ChangeSet 1.1474.148.11, 2004/01/23 15:56:53-08:00, stern@rowland.harvard.edu

[PATCH] USB Storage: unusual_devs update

On Mon, 19 Jan 2004, Simon Levitt wrote:

> Hi,
>
> In order to get the card reader on my Epson Stylus Photo 875DC working in
> linux I've added the following to unusual_devs.h - like the Epson 785EPX it
> returns Sub=0xff.

Greg, this can be applied to 2.4 and 2.6.


 drivers/usb/storage/unusual_devs.h |    7 +++++++
 1 files changed, 7 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Tue Jan 27 15:13:36 2004
+++ b/drivers/usb/storage/unusual_devs.h	Tue Jan 27 15:13:36 2004
@@ -115,6 +115,13 @@
 		"DVD-CAM DZ-MV100A Camcorder",
 		US_SC_SCSI, US_PR_CB, NULL, US_FL_SINGLE_LUN),
 
+/* Reported by Simon Levitt <simon@whattf.com>
+ * This entry needs Sub and Proto fields */
+UNUSUAL_DEV(  0x04b8, 0x0601, 0x0100, 0x0100,
+		"Epson",
+		"875DC Storage",
+		US_SC_SCSI, US_PR_CB, NULL, US_FL_FIX_INQUIRY),
+
 /* Reported by Khalid Aziz <khalid@gonehiking.org>
  * This entry is needed because the device reports Sub=ff */
 UNUSUAL_DEV(  0x04b8, 0x0602, 0x0110, 0x0110,
